petsc-3.12.1 2019-10-22
Report Typos and Errors

# ISPartitioningToNumbering

Takes an ISPartitioning and on each processor generates an IS that contains a new global node number for each index based on the partitioing.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISPartitioningToNumbering(IS part,IS *is)

Collective on IS

Input Parameters

partitioning -a partitioning as generated by MatPartitioningApply() or MatPartitioningApplyND()

### Output Parameter

is -on each processor the index set that defines the global numbers (in the new numbering) for all the nodes currently (before the partitioning) on that processor

### See Also

MatPartitioningCreate(), AOCreateBasic(), ISPartitioningCount()

### Level

advanced

### Location

src/vec/is/is/utils/iscoloring.c

### Examples

src/ksp/ksp/examples/tutorials/ex64.c.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages